diff --git a/README b/README
index c8f6b21e2d96..2944646665a8 100644
--- a/README
+++ b/README
@@ -618,14 +618,6 @@ The following options need to be configured:
 		variable usbtty to be cdc_acm should suffice. The following
 		might be defined in YourBoardName.h
 
-			CONFIG_USBD_HS
-			Define this to enable the high speed support for usb
-			device and usbtty. If this feature is enabled, a routine
-			int is_usbd_high_speed(void)
-			also needs to be defined by the driver to dynamically poll
-			whether the enumeration has succeded at high speed or full
-			speed.
-
 		If you have a USB-IF assigned VendorID then you may wish to
 		define your own vendor specific values either in BoardName.h
 		or directly in usbd_vendor_info.h. If you don't define
diff --git a/drivers/serial/usbtty.c b/drivers/serial/usbtty.c
index 4f4eb02de083..07a59ec9607a 100644
--- a/drivers/serial/usbtty.c
+++ b/drivers/serial/usbtty.c
@@ -120,20 +120,6 @@ static struct usb_device_descriptor device_descriptor = {
 	.bNumConfigurations =	NUM_CONFIGS
 };
 
-
-#if defined(CONFIG_USBD_HS)
-static struct usb_qualifier_descriptor qualifier_descriptor = {
-	.bLength = sizeof(struct usb_qualifier_descriptor),
-	.bDescriptorType =	USB_DT_QUAL,
-	.bcdUSB =		cpu_to_le16(USB_BCD_VERSION),
-	.bDeviceClass =		COMMUNICATIONS_DEVICE_CLASS,
-	.bDeviceSubClass =	0x00,
-	.bDeviceProtocol =	0x00,
-	.bMaxPacketSize0 =	EP0_MAX_PACKET_SIZE,
-	.bNumConfigurations =	NUM_CONFIGS
-};
-#endif
-
 /*
  * Static CDC ACM specific descriptors
  */
@@ -639,9 +625,6 @@ static void usbtty_init_instances (void)
 	memset (device_instance, 0, sizeof (struct usb_device_instance));
 	device_instance->device_state = STATE_INIT;
 	device_instance->device_descriptor = &device_descriptor;
-#if defined(CONFIG_USBD_HS)
-	device_instance->qualifier_descriptor = &qualifier_descriptor;
-#endif
 	device_instance->event = usbtty_event_handler;
 	device_instance->cdc_recv_setup = usbtty_cdc_setup;
 	device_instance->bus = bus_instance;
@@ -755,10 +738,6 @@ static void usbtty_init_terminal_type(short type)
 			device_descriptor.idProduct =
 				cpu_to_le16(CONFIG_USBD_PRODUCTID_CDCACM);
 
-#if defined(CONFIG_USBD_HS)
-			qualifier_descriptor.bDeviceClass =
-				COMMUNICATIONS_DEVICE_CLASS;
-#endif
 			/* Assign endpoint indices */
 			tx_endpoint = ACM_TX_ENDPOINT;
 			rx_endpoint = ACM_RX_ENDPOINT;
@@ -787,9 +766,6 @@ static void usbtty_init_terminal_type(short type)
 			device_descriptor.bDeviceClass = 0xFF;
 			device_descriptor.idProduct =
 				cpu_to_le16(CONFIG_USBD_PRODUCTID_GSERIAL);
-#if defined(CONFIG_USBD_HS)
-			qualifier_descriptor.bDeviceClass = 0xFF;
-#endif
 			/* Assign endpoint indices */
 			tx_endpoint = GSERIAL_TX_ENDPOINT;
 			rx_endpoint = GSERIAL_RX_ENDPOINT;
@@ -937,9 +913,6 @@ static int usbtty_configured (void)
 static void usbtty_event_handler (struct usb_device_instance *device,
 				  usb_device_event_t event, int data)
 {
-#if defined(CONFIG_USBD_HS)
-	int i;
-#endif
 	switch (event) {
 	case DEVICE_RESET:
 	case DEVICE_BUS_INACTIVE:
@@ -950,29 +923,6 @@ static void usbtty_event_handler (struct usb_device_instance *device,
 		break;
 
 	case DEVICE_ADDRESS_ASSIGNED:
-#if defined(CONFIG_USBD_HS)
-		/*
-		 * is_usbd_high_speed routine needs to be defined by
-		 * specific gadget driver
-		 * It returns true if device enumerates at High speed
-		 * Retuns false otherwise
-		 */
-		for (i = 0; i < NUM_ENDPOINTS; i++) {
-			if (((ep_descriptor_ptrs[i]->bmAttributes &
-			      USB_ENDPOINT_XFERTYPE_MASK) ==
-			      USB_ENDPOINT_XFER_BULK)
-			    && is_usbd_high_speed()) {
-
-				ep_descriptor_ptrs[i]->wMaxPacketSize =
-					CONFIG_USBD_SERIAL_BULK_HS_PKTSIZE;
-			}
-
-			endpoint_instance[i + 1].tx_packetSize =
-				ep_descriptor_ptrs[i]->wMaxPacketSize;
-			endpoint_instance[i + 1].rcv_packetSize =
-				ep_descriptor_ptrs[i]->wMaxPacketSize;
-		}
-#endif
 		usbtty_init_endpoints ();
 
 	default:
diff --git a/drivers/serial/usbtty.h b/drivers/serial/usbtty.h
index e27aa368c9af..ac4d22044d3d 100644
--- a/drivers/serial/usbtty.h
+++ b/drivers/serial/usbtty.h
@@ -51,10 +51,6 @@
 #define CONFIG_USBD_SERIAL_INT_PKTSIZE	UDC_INT_PACKET_SIZE
 #define CONFIG_USBD_SERIAL_BULK_PKTSIZE	UDC_BULK_PACKET_SIZE
 
-#if defined(CONFIG_USBD_HS)
-#define CONFIG_USBD_SERIAL_BULK_HS_PKTSIZE	UDC_BULK_HS_PACKET_SIZE
-#endif
-
 #define USBTTY_DEVICE_CLASS	COMMUNICATIONS_DEVICE_CLASS
 
 #define USBTTY_BCD_DEVICE	0x00
diff --git a/drivers/usb/gadget/ep0.c b/drivers/usb/gadget/ep0.c
index 6624f61b763c..c256cc31fbd2 100644
--- a/drivers/usb/gadget/ep0.c
+++ b/drivers/usb/gadget/ep0.c
@@ -371,26 +371,7 @@ static int ep0_get_descriptor (struct usb_device_instance *device,
 		}
 		break;
 	case USB_DESCRIPTOR_TYPE_DEVICE_QUALIFIER:
-#if defined(CONFIG_USBD_HS)
-		{
-			struct usb_qualifier_descriptor *qualifier_descriptor =
-				device->qualifier_descriptor;
-
-			if (!qualifier_descriptor)
-				return -1;
-
-			/* copy descriptor for this device */
-			copy_config(urb, qualifier_descriptor,
-					sizeof(struct usb_qualifier_descriptor),
-					max);
-
-		}
-		dbg_ep0(3, "copied qualifier descriptor, actual_length: 0x%x",
-				urb->actual_length);
-#else
 		return -1;
-#endif
-		break;
 
 	default:
 		return -1;
diff --git a/include/configs/apalis_imx6.h b/include/configs/apalis_imx6.h
index 25a84458f553..07587c7609be 100644
--- a/include/configs/apalis_imx6.h
+++ b/include/configs/apalis_imx6.h
@@ -28,8 +28,6 @@
 /* Host */
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
-/* Client */
-#define CONFIG_USBD_HS
 
 /* Framebuffer and LCD */
 
diff --git a/include/configs/colibri-imx6ull.h b/include/configs/colibri-imx6ull.h
index 2f09a264cbe0..6f3524deb561 100644
--- a/include/configs/colibri-imx6ull.h
+++ b/include/configs/colibri-imx6ull.h
@@ -126,8 +126,6 @@
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
 
-#define CONFIG_USBD_HS
-
 /* USB Device Firmware Update support */
 #define DFU_DEFAULT_POLL_TIMEOUT	300
 
diff --git a/include/configs/colibri_imx6.h b/include/configs/colibri_imx6.h
index 19daad21cb56..4e51df123a64 100644
--- a/include/configs/colibri_imx6.h
+++ b/include/configs/colibri_imx6.h
@@ -25,8 +25,6 @@
 /* Host */
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
-/* Client */
-#define CONFIG_USBD_HS
 
 /* Command definition */
 
diff --git a/include/configs/colibri_imx7.h b/include/configs/colibri_imx7.h
index 48c3f0154739..89546b857fee 100644
--- a/include/configs/colibri_imx7.h
+++ b/include/configs/colibri_imx7.h
@@ -170,6 +170,4 @@
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
 
-#define CONFIG_USBD_HS
-
 #endif
diff --git a/include/configs/ge_b1x5v2.h b/include/configs/ge_b1x5v2.h
index 1458b187de28..1aaa3e67d608 100644
--- a/include/configs/ge_b1x5v2.h
+++ b/include/configs/ge_b1x5v2.h
@@ -26,7 +26,6 @@
 /* USB */
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
-#define CONFIG_USBD_HS
 
 /* Memory */
 #define PHYS_SDRAM		       MMDC0_ARB_BASE_ADDR
diff --git a/include/configs/gw_ventana.h b/include/configs/gw_ventana.h
index 298a8f5aa2a0..5a78c68e2fcc 100644
--- a/include/configs/gw_ventana.h
+++ b/include/configs/gw_ventana.h
@@ -38,7 +38,6 @@
 /* USB Configs */
 #define CONFIG_MXC_USB_PORTSC     (PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS      0
-#define CONFIG_USBD_HS
 
 /* Miscellaneous configurable options */
 
diff --git a/include/configs/imx7-cm.h b/include/configs/imx7-cm.h
index 76771fd66ce9..8e9dbefc4969 100644
--- a/include/configs/imx7-cm.h
+++ b/include/configs/imx7-cm.h
@@ -81,6 +81,4 @@
 /* USB Configs */
 #define CONFIG_MXC_USB_PORTSC  (PORT_PTS_UTMI | PORT_PTS_PTW)
 
-#define CONFIG_USBD_HS
-
 #endif	/* __CONFIG_H */
diff --git a/include/configs/librem5.h b/include/configs/librem5.h
index 11b3fa6c857d..377e3e7b3fa8 100644
--- a/include/configs/librem5.h
+++ b/include/configs/librem5.h
@@ -27,8 +27,6 @@
 
 #define CFG_SYS_FSL_USDHC_NUM	2
 
-#define CONFIG_USBD_HS
-
 #define CONSOLE_ON_UART1
 
 #ifdef CONSOLE_ON_UART1
diff --git a/include/configs/mx6sabre_common.h b/include/configs/mx6sabre_common.h
index 6294fd1e2c42..96a48a97a306 100644
--- a/include/configs/mx6sabre_common.h
+++ b/include/configs/mx6sabre_common.h
@@ -145,6 +145,4 @@
 
 /* Environment organization */
 
-#define CONFIG_USBD_HS
-
 #endif                         /* __MX6QSABRE_COMMON_CONFIG_H */
diff --git a/include/configs/mx7dsabresd.h b/include/configs/mx7dsabresd.h
index 6c165521f7a0..bd70b62bd209 100644
--- a/include/configs/mx7dsabresd.h
+++ b/include/configs/mx7dsabresd.h
@@ -101,6 +101,4 @@
 /* USB Configs */
 #define CONFIG_MXC_USB_PORTSC  (PORT_PTS_UTMI | PORT_PTS_PTW)
 
-#define CONFIG_USBD_HS
-
 #endif	/* __CONFIG_H */
diff --git a/include/configs/nitrogen6x.h b/include/configs/nitrogen6x.h
index 5020b3bb71db..1d101977c281 100644
--- a/include/configs/nitrogen6x.h
+++ b/include/configs/nitrogen6x.h
@@ -11,8 +11,6 @@
 
 #include "mx6_common.h"
 
-#define CONFIG_USBD_HS
-
 #define CONFIG_MXC_UART_BASE	       UART2_BASE
 
 /* MMC Configs */
diff --git a/include/configs/novena.h b/include/configs/novena.h
index 79e49c74f856..b0d473eeee37 100644
--- a/include/configs/novena.h
+++ b/include/configs/novena.h
@@ -55,8 +55,6 @@
 #ifdef CONFIG_CMD_USB
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
-/* Gadget part */
-#define CONFIG_USBD_HS
 #endif
 
 /* Extra U-Boot environment. */
diff --git a/include/configs/pico-imx6ul.h b/include/configs/pico-imx6ul.h
index 8af8883fad64..faf11d5a72ad 100644
--- a/include/configs/pico-imx6ul.h
+++ b/include/configs/pico-imx6ul.h
@@ -26,8 +26,6 @@
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 #define CONFIG_MXC_USB_FLAGS		0
 
-#define CONFIG_USBD_HS
-
 #define DFU_DEFAULT_POLL_TIMEOUT 300
 
 #define CONFIG_DFU_ENV_SETTINGS \
diff --git a/include/configs/siemens-am33x-common.h b/include/configs/siemens-am33x-common.h
index 1b1787a3d3ca..406a179842e2 100644
--- a/include/configs/siemens-am33x-common.h
+++ b/include/configs/siemens-am33x-common.h
@@ -70,9 +70,6 @@
  * we don't need to do it twice.
  */
 
-/* USB DRACO ID as default */
-#define CONFIG_USBD_HS
-
 /* USB Device Firmware Update support */
 #define DFU_MANIFEST_POLL_TIMEOUT	25000
 
diff --git a/include/configs/tbs2910.h b/include/configs/tbs2910.h
index fcc967494220..689914cb1873 100644
--- a/include/configs/tbs2910.h
+++ b/include/configs/tbs2910.h
@@ -28,9 +28,6 @@
 /* USB */
 #ifdef CONFIG_CMD_USB
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
-#ifdef CONFIG_CMD_USB_MASS_STORAGE
-#define CONFIG_USBD_HS
-#endif /* CONFIG_CMD_USB_MASS_STORAGE */
 #endif /* CONFIG_CMD_USB      */
 
 #define CONFIG_EXTRA_ENV_SETTINGS \
diff --git a/include/configs/warp7.h b/include/configs/warp7.h
index 56c90aa1032e..a985c6f28f30 100644
--- a/include/configs/warp7.h
+++ b/include/configs/warp7.h
@@ -95,8 +95,6 @@
 
 #define CONFIG_MXC_USB_PORTSC		(PORT_PTS_UTMI | PORT_PTS_PTW)
 
-#define CONFIG_USBD_HS
-
 /* USB Device Firmware Update support */
 #define DFU_DEFAULT_POLL_TIMEOUT	300
 
diff --git a/include/usbdescriptors.h b/include/usbdescriptors.h
index 9a5038745116..641b4a3e6f29 100644
--- a/include/usbdescriptors.h
+++ b/include/usbdescriptors.h
@@ -227,21 +227,6 @@ struct usb_device_descriptor {
 	u8 bNumConfigurations;
 } __attribute__ ((packed));
 
-#if defined(CONFIG_USBD_HS)
-struct usb_qualifier_descriptor {
-	u8 bLength;
-	u8 bDescriptorType;
-
-	u16 bcdUSB;
-	u8 bDeviceClass;
-	u8 bDeviceSubClass;
-	u8 bDeviceProtocol;
-	u8 bMaxPacketSize0;
-	u8 bNumConfigurations;
-	u8 breserved;
-} __attribute__ ((packed));
-#endif
-
 struct usb_string_descriptor {
 	u8 bLength;
 	u8 bDescriptorType;	/* 0x03 */
diff --git a/include/usbdevice.h b/include/usbdevice.h
index 611cd6e4abf7..80c5af0cbcd2 100644
--- a/include/usbdevice.h
+++ b/include/usbdevice.h
@@ -196,10 +196,6 @@ struct usb_bus_instance;
 #define USB_DT_INTERFACE		0x04
 #define USB_DT_ENDPOINT			0x05
 
-#if defined(CONFIG_USBD_HS)
-#define USB_DT_QUAL			0x06
-#endif
-
 #define USB_DT_HID			(USB_TYPE_CLASS | 0x01)
 #define USB_DT_REPORT			(USB_TYPE_CLASS | 0x02)
 #define USB_DT_PHYSICAL			(USB_TYPE_CLASS | 0x03)
@@ -279,11 +275,7 @@ struct usb_bus_instance;
  * USB Spec Release number
  */
 
-#if defined(CONFIG_USBD_HS)
-#define USB_BCD_VERSION			0x0200
-#else
 #define USB_BCD_VERSION			0x0110
-#endif
 
 
 /*
@@ -552,9 +544,6 @@ struct usb_device_instance {
 	/* generic */
 	char *name;
 	struct usb_device_descriptor *device_descriptor;	/* per device descriptor */
-#if defined(CONFIG_USBD_HS)
-	struct usb_qualifier_descriptor *qualifier_descriptor;
-#endif
 
 	void (*event) (struct usb_device_instance *device, usb_device_event_t event, int data);
 
@@ -644,14 +633,6 @@ struct usb_string_descriptor *usbd_get_string (u8);
 struct usb_device_descriptor *usbd_device_device_descriptor(struct
 		usb_device_instance *, int);
 
-#if defined(CONFIG_USBD_HS)
-/*
- * is_usbd_high_speed routine needs to be defined by specific gadget driver
- * It returns true if device enumerates at High speed
- * Retuns false otherwise
- */
-int is_usbd_high_speed(void);
-#endif
 int usbd_endpoint_halted (struct usb_device_instance *device, int endpoint);
 void usbd_rcv_complete(struct usb_endpoint_instance *endpoint, int len, int urb_bad);
 void usbd_tx_complete (struct usb_endpoint_instance *endpoint);